Hoje quando tentava acessar a área administrativa de um de meus blogs em wordpress recebi a triste mensagem do WordPress “Sem permissões suficientes para acessar esta página“. Mas como assim, eu sou o administrador… Veja uma dica simples para resolver esse problema. O que acontece é que dias atrás traduzi meu WordPress para o português do Brasil. Mas tudo funcionava bem até hoje. Se você já passou ou está passando por essa situação não se desespere, a solução é muito simples. Numa rápida busca pela internet encontrei a solução numa dica de wordpress no Mundo das Notícias.

Basta você acessar o diretório wp-content/languages e excluir o arquivo pt_BR.php e tudo voltará ao normal. Como sou precavido não exclui o arquivo sem antes salvar uma cópia em meu computador para o caso de precisar voltá-lo para seu local original. Mas não foi preciso. Tudo funcionando perfeitamente agora. Espero que esse artigo possa ajudá-lo.

Atualização em 21 de junho de 2010

Se você se deparou com esse erro ao tentar atualizar para a versão 3.0 do WordPress o procedimento é o mesmo, já testei e funciona.

Atualização em 21 de dezembro de 2010

O programa persiste na versão 3.03 e a dica acima continua funcionando perfeitamente.

Gustavo Freitas

Problogger, empreendedor digital e criador do Método Start. Você conhece todos os meus projetos no Gustavo Freitas.Net.

Participe da conversa

111 Comentários

Deixe uma resposta

Esse site utiliza o Akismet para reduzir spam. Aprenda como seus dados de comentários são processados.

  1. Ola, aqui aconteceu depois de instalar algum plugin que nao lembro o nome agora.
    Apaguei o arquivo pt_BR.php e exclui o plugin via ftp e mesmo assim nao funcionou.
    Alguem tem alguma ideia? continua sem ter permissao.

  2. obrigado!!!!
    ja tinha ligado para a locaweb e nada.
    li tutoriais e mais tutoriais q eles mandaram e nada.
    e vc resolvou tudo!
    valeu!!!

  3. Oi Gustavo, no meu caso o erro aconteceu quando eu movi o wordpress do servidor local para o online. Mas essa solução não funcionou para mim. Imagino que se eu alterar as permissões direro no bd isso funcione, mas eu nao sei exatamente em que tabela/campo mexer. Vc tem alguma sugestão? Abs.

    1. Susana,
      nunca me aconteceu isso, sugiro que entre em contato com o suporte do host, pode ser alguma permissão em alguma pasta, mas não era pra ter acontecido mudança alguma.
      boa sorte e se conseguir resolver e quiser voltar aqui e compartilhar a solução, ficamos grato.
      abraço.

      1. Realmente era algum problema no bd.

        Deletei todas as tabelas, reinstalei o wordpress, sobrescrevi apenas as tabelas de post e comentários e pedi pro meu colega refazer o layout pois não achei onde estavam as configurações de layout. Se eu tivesse descoberto exatamente qual tabela estão as informações do admin, teria apagado apenas esta… mas paciência, nem sempre a solução mais rápida é a mais prática.

        Abs, obrigada por tudo.

  4. Obrigado Gustavo, ótima dica.

    Estou precisando de uma ajuda. Instalei o buddypress em meu blog. Agora preciso ajustar o codigo html em algumas paginas. Tenho o modelo e preciso fazer a correspondencia nessas paginas.

    Vc sabe uma maneira facil de fazer isso? Ou indica alguem que faça??

    Obrigado.

      1. Continuo com o problema, Sem permissões suficientes para acessar esta página. Por favor podem me ajudar, eu já fiz este procedimento e nada aconteceu minha versão é
        3.1.2 – Obrgado

        1. Otávio,
          se fez o procedimento e não deu certo, sugiro que entre em contato com o suporte de seu host. Mas antes, se o problema aconteceu após a atualização ou instalação de algum plugin, entre pelo ftp e exclua a pasta desse plugin e tente novamente.
          abraço.

  5. Obrigado , esse post tambem salvou meu dia …
    tem muitos resultados no gogoe , mas muita banana tambem ..
    aqui esta claro e direto !

    /robot sem-permissoes-suficientes-para-acessar-esta-pagina resolvido aqui

  6. Obrigado! Este post salvou minha vida!
    Estou fazendo um site que deu este problema e quase morro.
    Consegui deletar uma pasta conflituosa e tudo se resolveu.
    Grato!

  7. Eaeee fera, funcionou!

    Muito obrigado, achei q tinha sido por atualizar um plugin, mas fazendo essa remoção funcionou perfeitamente.

    Um abraço e obrigado(mais uma vez).

  8. Boa Tarde…me acabou de acontecer este problema so q eu não consigo nem entrar mais no painel de controle quando eu coloco a minha senha ja aparece a mensagem de erro, o que eu faço???

  9. Aconteceu o problema, em seguida pesquisei no Google com a descrição do erro, seu site apareceu em primeiro, e já com a solução definitiva.

    Parabéns pela eficiência, e viva as ferramentas de pesquisa!!!

  10. Pessoal, após a atualização da versão 3.1, o problema persiste mas que já foi resolvido com a dica que está nesta postagem.
    Portanto mais uma vez, VALEU!

  11. Gustavo, realmente esta foi a dica que precisavamos, pois, após a atualização para a versão 3.0, o sistema não permitia que entrassemos na área administrativa. Apesar de guardarmos um backup diário, não queriamos realizar uma reinstalação desnecessária.
    Assim agradecemos pela postagem que deverá ajudar a muitos por ai.
    Abraço da equipe.

  12. Bom dia Gustavo, Hoje fui atualizar o wordpress para a versão 3.0 e me deparei com esse erro, obrigado pela dica, funcionou perfeito. Agora porque será que ocorrei isso. Abraços

    1. é porque com a atualização ele instala novamente o arquivo que dá o problema, agora porque esse arquivo causa esse problema se ele foi criado para ficar ali…rs…ai não sei…

  13. O meu problema é um pouco maior, não estou conseguindo acessar nada, ele dá o mesmo erro, só que eu não tinha nenhum programa ftp, era tudo feito no wordpress mesmo.

    Até tentei instalar agora o filezilla, mas ele dá erro na conexão, alguém pode me ajudar?

  14. Ja deletei a pasta languages inteira, ja removi pt-BR do wp-config e nada resolve isso quando eu tento atualizar da o erro! ja nao sei o que fazer!!!!!!
    .-= Renato Tavares publicou o artigo Todos os Episódios de Naruto Online e Grátis =-.

  15. Ola
    Quando fiz o upgrade com a versao wordpress-pt, eu resolvi este problema da seguinte forma: APAGAR a variavel “pt-BR” no arquivo wp-config.php. Pronto.. Nao precisa eliminar nenhum outro arquivo mantendo a integridade do pacote.
    Abraços

  16. oi Gustavo. eu tive um problema com o bd do wordpress e agora não consigo fazer algumas ações, mesmo sendo administrador. eu deletei esse arquivo mas continuo por exemplo sem conseguir editar páginas (só vejo o link “ver”, nõa tem mais o “editar” ou atualizar os plugins (aí ele retorna essa mensagem ““Sem permissões suficientes para acessar esta página””. você tem alguma idéias do que seja. já chequei no BD o user admin e está ok, conforme o site wordpress.

  17. @Rodrigo,
    tomara que nunca precise mesmo,
    um abraço.

    @Cristina,
    se voltar a visualizar a mensagem novamente por favor me avise,
    um abraço.

    @Guilherme,
    Qualquer dúvida peça para ele entrar em contato comigo,
    um abraço.